(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Image.png", id:"Image"},
		{src:"images/Image_0.png", id:"Image_0"},
		{src:"images/Image_1.png", id:"Image_1"},
		{src:"images/Image_10.png", id:"Image_10"},
		{src:"images/Image_11.png", id:"Image_11"},
		{src:"images/Image_12.png", id:"Image_12"},
		{src:"images/Image_13.png", id:"Image_13"},
		{src:"images/Image_14.png", id:"Image_14"},
		{src:"images/Image_15.png", id:"Image_15"},
		{src:"images/Image_16.png", id:"Image_16"},
		{src:"images/Image_17.png", id:"Image_17"},
		{src:"images/Image_18.png", id:"Image_18"},
		{src:"images/Image_19.png", id:"Image_19"},
		{src:"images/Image_2.png", id:"Image_2"},
		{src:"images/Image_20.png", id:"Image_20"},
		{src:"images/Image_21.png", id:"Image_21"},
		{src:"images/Image_22.png", id:"Image_22"},
		{src:"images/Image_23.png", id:"Image_23"},
		{src:"images/Image_24.png", id:"Image_24"},
		{src:"images/Image_25.png", id:"Image_25"},
		{src:"images/Image_26.png", id:"Image_26"},
		{src:"images/Image_27.png", id:"Image_27"},
		{src:"images/Image_28.png", id:"Image_28"},
		{src:"images/Image_3.png", id:"Image_3"},
		{src:"images/Image_4.png", id:"Image_4"},
		{src:"images/Image_5.png", id:"Image_5"},
		{src:"images/Image_6.png", id:"Image_6"},
		{src:"images/Image_7.png", id:"Image_7"},
		{src:"images/Image_8.png", id:"Image_8"},
		{src:"images/Image_9.png", id:"Image_9"},
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap2.png", id:"Bitmap2"}
	]
};



// symbols:



(lib.Image = function() {
	this.initialize(img.Image);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_0 = function() {
	this.initialize(img.Image_0);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_1 = function() {
	this.initialize(img.Image_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_10 = function() {
	this.initialize(img.Image_10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_11 = function() {
	this.initialize(img.Image_11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_12 = function() {
	this.initialize(img.Image_12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_13 = function() {
	this.initialize(img.Image_13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_14 = function() {
	this.initialize(img.Image_14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,314);


(lib.Image_15 = function() {
	this.initialize(img.Image_15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,314);


(lib.Image_16 = function() {
	this.initialize(img.Image_16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,314);


(lib.Image_17 = function() {
	this.initialize(img.Image_17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,314);


(lib.Image_18 = function() {
	this.initialize(img.Image_18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,314);


(lib.Image_19 = function() {
	this.initialize(img.Image_19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_2 = function() {
	this.initialize(img.Image_2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_20 = function() {
	this.initialize(img.Image_20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_21 = function() {
	this.initialize(img.Image_21);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_22 = function() {
	this.initialize(img.Image_22);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_23 = function() {
	this.initialize(img.Image_23);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_24 = function() {
	this.initialize(img.Image_24);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_25 = function() {
	this.initialize(img.Image_25);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_26 = function() {
	this.initialize(img.Image_26);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_27 = function() {
	this.initialize(img.Image_27);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_28 = function() {
	this.initialize(img.Image_28);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_3 = function() {
	this.initialize(img.Image_3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_4 = function() {
	this.initialize(img.Image_4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_5 = function() {
	this.initialize(img.Image_5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_6 = function() {
	this.initialize(img.Image_6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_7 = function() {
	this.initialize(img.Image_7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_8 = function() {
	this.initialize(img.Image_8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Image_9 = function() {
	this.initialize(img.Image_9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,290,313);


(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,351,459);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,355,459);


(lib.Symbol30 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_28();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol29 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_27();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol28 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_26();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol27 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_25();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol26 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_24();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol25 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_23();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol24 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_22();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol23 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_21();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol22 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_20();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol21 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_19();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol20 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_18();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.6);
p.frameBounds = [rect];


(lib.Symbol19 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_17();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.6);
p.frameBounds = [rect];


(lib.Symbol18 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_16();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.6);
p.frameBounds = [rect];


(lib.Symbol17 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_15();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.6);
p.frameBounds = [rect];


(lib.Symbol16 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_14();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.6);
p.frameBounds = [rect];


(lib.Symbol15 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_13();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_12();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_11();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_10();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_9();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_8();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_7();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_6();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_5();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_4();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_3();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_2();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_1();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image_0();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Image();
	this.instance.setTransform(0,0,0.244,0.244);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70.7,76.3);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '12290',
			title: 'Ułóż puzzle.',
			type: 'drag',
			container: this,
			//align: 'top',
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1','2','3'],
				2: ['4','5','6'],
				3: ['7','8','9']
			},
			groupdrops: {
				1: ['1','2','3'],
				2: ['4','5','6'],
				3: ['7','8','9']
			},
			*/
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/	'4',
				/*drop_5:*/ '5',
				/*drop_6:*/ '6',
				/*drop_7:*/ '7',
				/*drop_8:*/	'8',
				/*drop_9:*/	'9',
				/*drop_10:*/'10',
				/*drop_11:*/'11',
				/*drop_12:*/'12',
				/*drop_13:*/'13',
				/*drop_14:*/'14',
				/*drop_15:*/'15',
				/*drop_16:*/'16',
				/*drop_17:*/'17',
				/*drop_18:*/'18',
				/*drop_19:*/'19',
				/*drop_20:*/'20',
				/*drop_21:*/'21',
				/*drop_22:*/'22',
				/*drop_23:*/'23',
				/*drop_24:*/'24',
				/*drop_25:*/'25',
				/*drop_26:*/'26',
				/*drop_27:*/'27',
				/*drop_28:*/'28',
				/*drop_29:*/'29',
				/*drop_30:*/'30',
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 0,
			endsound: 'ssBrawa', exerciseAfterInit: function () {
			},
			exerciseBeforeFinish: function() {
				
			},
			exerciseExtraCheck: function() {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drag_30 = new lib.Symbol30();
	this.drag_30.setTransform(922.4,444.2,1,1,0,0,0,35.4,38.1);

	this.drag_29 = new lib.Symbol29();
	this.drag_29.setTransform(907,191.1,1,1,0,0,0,35.4,38.1);

	this.drag_28 = new lib.Symbol28();
	this.drag_28.setTransform(911.8,530.8,1,1,0,0,0,35.4,38.1);

	this.drag_27 = new lib.Symbol27();
	this.drag_27.setTransform(977.7,387.4,1,1,0,0,0,35.4,38.1);

	this.drag_26 = new lib.Symbol26();
	this.drag_26.setTransform(1098.7,425.5,1,1,0,0,0,35.4,38.1);

	this.drag_25 = new lib.Symbol25();
	this.drag_25.setTransform(1034.5,212.7,1,1,0,0,0,35.4,38.1);

	this.drag_24 = new lib.Symbol24();
	this.drag_24.setTransform(1083.8,353.4,1,1,0,0,0,35.4,38.1);

	this.drag_23 = new lib.Symbol23();
	this.drag_23.setTransform(1140.5,396.5,1,1,0,0,0,35.4,38.1);

	this.drag_22 = new lib.Symbol22();
	this.drag_22.setTransform(1149.7,454.5,1,1,0,0,0,35.4,38.1);

	this.drag_21 = new lib.Symbol21();
	this.drag_21.setTransform(896.4,365.3,1,1,0,0,0,35.4,38.1);

	this.drag_20 = new lib.Symbol20();
	this.drag_20.setTransform(1083.8,191,1,1,0,0,0,35.4,38.3);

	this.drag_19 = new lib.Symbol19();
	this.drag_19.setTransform(1132.6,249,1,1,0,0,0,35.4,38.3);

	this.drag_18 = new lib.Symbol18();
	this.drag_18.setTransform(1000.6,478.3,1,1,0,0,0,35.4,38.3);

	this.drag_17 = new lib.Symbol17();
	this.drag_17.setTransform(1034.5,358.6,1,1,0,0,0,35.4,38.3);

	this.drag_16 = new lib.Symbol16();
	this.drag_16.setTransform(982.5,520.7,1,1,0,0,0,35.4,38.3);

	this.drag_15 = new lib.Symbol15();
	this.drag_15.setTransform(982.5,520.5,1,1,0,0,0,35.4,38.1);

	this.drag_14 = new lib.Symbol14();
	this.drag_14.setTransform(1154.5,329.6,1,1,0,0,0,35.4,38.1);

	this.drag_13 = new lib.Symbol13();
	this.drag_13.setTransform(957.7,320.2,1,1,0,0,0,35.4,38.1);

	this.drag_12 = new lib.Symbol12();
	this.drag_12.setTransform(1093.3,298.6,1,1,0,0,0,35.4,38.1);

	this.drag_11 = new lib.Symbol11();
	this.drag_11.setTransform(1048.4,539,1,1,0,0,0,35.4,38.1);

	this.drag_10 = new lib.Symbol10();
	this.drag_10.setTransform(1042.8,417.1,1,1,0,0,0,35.4,38.1);

	this.drag_9 = new lib.Symbol9();
	this.drag_9.setTransform(1159.4,539,1,1,0,0,0,35.4,38.1);

	this.drag_8 = new lib.Symbol8();
	this.drag_8.setTransform(1022.6,289,1,1,0,0,0,35.4,38.1);

	this.drag_7 = new lib.Symbol7();
	this.drag_7.setTransform(1159.4,201.1,1,1,0,0,0,35.4,38.1);

	this.drag_6 = new lib.Symbol6();
	this.drag_6.setTransform(922.4,282.1,1,1,0,0,0,35.4,38.1);

	this.drag_5 = new lib.Symbol5();
	this.drag_5.setTransform(911.8,509.7,1,1,0,0,0,35.4,38.1);

	this.drag_4 = new lib.Symbol4();
	this.drag_4.setTransform(1098.7,520.5,1,1,0,0,0,35.4,38.1);

	this.drag_3 = new lib.Symbol3();
	this.drag_3.setTransform(942.6,191.1,1,1,0,0,0,35.4,38.1);

	this.drag_2 = new lib.Symbol2();
	this.drag_2.setTransform(977.7,212.7,1,1,0,0,0,35.4,38.1);

	this.drag_1 = new lib.Symbol1();
	this.drag_1.setTransform(1048.4,212.7,1,1,0,0,0,35.4,38.1);

	this.drop_30 = new lib.Symbol30();
	this.drop_30.setTransform(792.7,554.6,1,1,0,0,0,35.4,38.1);

	this.drop_29 = new lib.Symbol29();
	this.drop_29.setTransform(722.6,554.6,1,1,0,0,0,35.4,38.1);

	this.drop_28 = new lib.Symbol28();
	this.drop_28.setTransform(652.6,554.6,1,1,0,0,0,35.4,38.1);

	this.drop_27 = new lib.Symbol27();
	this.drop_27.setTransform(582.5,554.6,1,1,0,0,0,35.4,38.1);

	this.drop_26 = new lib.Symbol26();
	this.drop_26.setTransform(512.4,554.6,1,1,0,0,0,35.4,38.1);

	this.drop_25 = new lib.Symbol25();
	this.drop_25.setTransform(792.7,478.4,1,1,0,0,0,35.4,38.1);

	this.drop_24 = new lib.Symbol24();
	this.drop_24.setTransform(722.6,478.4,1,1,0,0,0,35.4,38.1);

	this.drop_23 = new lib.Symbol23();
	this.drop_23.setTransform(652.6,478.4,1,1,0,0,0,35.4,38.1);

	this.drop_22 = new lib.Symbol22();
	this.drop_22.setTransform(582.5,478.4,1,1,0,0,0,35.4,38.1);

	this.drop_21 = new lib.Symbol21();
	this.drop_21.setTransform(512.4,478.4,1,1,0,0,0,35.4,38.1);

	this.drop_20 = new lib.Symbol20();
	this.drop_20.setTransform(792.7,402,1,1,0,0,0,35.4,38.3);

	this.drop_19 = new lib.Symbol19();
	this.drop_19.setTransform(722.6,402,1,1,0,0,0,35.4,38.3);

	this.drop_18 = new lib.Symbol18();
	this.drop_18.setTransform(652.6,402,1,1,0,0,0,35.4,38.3);

	this.drop_17 = new lib.Symbol17();
	this.drop_17.setTransform(582.5,402,1,1,0,0,0,35.4,38.3);

	this.drop_16 = new lib.Symbol16();
	this.drop_16.setTransform(512.4,402,1,1,0,0,0,35.4,38.3);

	this.drop_15 = new lib.Symbol15();
	this.drop_15.setTransform(792.7,325.5,1,1,0,0,0,35.4,38.1);

	this.drop_14 = new lib.Symbol14();
	this.drop_14.setTransform(722.6,325.5,1,1,0,0,0,35.4,38.1);

	this.drop_13 = new lib.Symbol13();
	this.drop_13.setTransform(652.6,325.5,1,1,0,0,0,35.4,38.1);

	this.drop_12 = new lib.Symbol12();
	this.drop_12.setTransform(582.5,325.5,1,1,0,0,0,35.4,38.1);

	this.drop_11 = new lib.Symbol11();
	this.drop_11.setTransform(512.4,325.5,1,1,0,0,0,35.4,38.1);

	this.drop_10 = new lib.Symbol10();
	this.drop_10.setTransform(792.7,249,1,1,0,0,0,35.4,38.1);

	this.drop_9 = new lib.Symbol9();
	this.drop_9.setTransform(722.6,249,1,1,0,0,0,35.4,38.1);

	this.drop_8 = new lib.Symbol8();
	this.drop_8.setTransform(652.6,249,1,1,0,0,0,35.4,38.1);

	this.drop_7 = new lib.Symbol7();
	this.drop_7.setTransform(582.5,249,1,1,0,0,0,35.4,38.1);

	this.drop_6 = new lib.Symbol6();
	this.drop_6.setTransform(512.4,249,1,1,0,0,0,35.4,38.1);

	this.drop_5 = new lib.Symbol5();
	this.drop_5.setTransform(792.7,173.7,1,1,0,0,0,35.4,38.1);

	this.drop_4 = new lib.Symbol4();
	this.drop_4.setTransform(722.6,173.7,1,1,0,0,0,35.4,38.1);

	this.drop_3 = new lib.Symbol3();
	this.drop_3.setTransform(652.6,173.7,1,1,0,0,0,35.4,38.1);

	this.drop_2 = new lib.Symbol2();
	this.drop_2.setTransform(582.5,173.7,1,1,0,0,0,35.4,38.1);

	this.drop_1 = new lib.Symbol1();
	this.drop_1.setTransform(512.4,173.7,1,1,0,0,0,35.4,38.1);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12},{t:this.drop_13},{t:this.drop_14},{t:this.drop_15},{t:this.drop_16},{t:this.drop_17},{t:this.drop_18},{t:this.drop_19},{t:this.drop_20},{t:this.drop_21},{t:this.drop_22},{t:this.drop_23},{t:this.drop_24},{t:this.drop_25},{t:this.drop_26},{t:this.drop_27},{t:this.drop_28},{t:this.drop_29},{t:this.drop_30},{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.drag_9},{t:this.drag_10},{t:this.drag_11},{t:this.drag_12},{t:this.drag_13},{t:this.drag_14},{t:this.drag_15},{t:this.drag_16},{t:this.drag_17},{t:this.drag_18},{t:this.drag_19},{t:this.drag_20},{t:this.drag_21},{t:this.drag_22},{t:this.drag_23},{t:this.drag_24},{t:this.drag_25},{t:this.drag_26},{t:this.drag_27},{t:this.drag_28},{t:this.drag_29},{t:this.drag_30}]}).wait(1));

	// bg
	this.instance = new lib.Bitmap1();
	this.instance.setTransform(857,135);

	this.instance_1 = new lib.Bitmap2();
	this.instance_1.setTransform(94,135);

	this.instance_2 = new lib.Bitmap1();
	this.instance_2.setTransform(477,135);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(94,135,1114,459);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(734,495,1114,459);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;